- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::FileIterator Class Reference

A 'body' class for the MessageStore::Iterator 'handle'. More...

Inheritance diagram for GSmtp::FileIterator:

## Public Member Functions
| FileIterator (FileStore &store, const G::Path &dir, bool lock, bool failures)
virtual std::auto_ptr< GSmtp::StoredMessage > | next ()
Public Member Functions inherited from GSmtp::MessageStore::IteratorImp
| IteratorImp ()
virtual | ~IteratorImp ()
Public Member Functions inherited from G::noncopyable
| noncopyable ()

## Additional Inherited Members
Public Attributes inherited from GSmtp::MessageStore::IteratorImp
unsigned long | m_ref_count

## Detailed Description

A 'body' class for the MessageStore::Iterator 'handle'.

The handle/body pattern allows us to copy iterators by value, and therefore return them from MessageStore::iterator().

Definition at line 50 of file gfilestore.cpp.

## Constructor & Destructor Documentation

GSmtp::FileIterator::FileIterator | ( | FileStore & | store,
|  | const G::Path & | dir,
|  | bool | lock,
|  | bool | failures
| ) |  |

Definition at line 63 of file gfilestore.cpp.

References G::DirectoryList::readType().

## Member Function Documentation

std::auto_ptr< GSmtp::StoredMessage > GSmtp::FileIterator::next | ( |  | ) |
| virtual

Implements GSmtp::MessageStore::IteratorImp.

Definition at line 71 of file gfilestore.cpp.

References G_WARNING.

The documentation for this class was generated from the following file:

- gfilestore.cpp